org.apache.ivy.core.sort

## Class SilentNonMatchingVersionReporter

- java.lang.Object
- - org.apache.ivy.core.sort.SilentNonMatchingVersionReporter

All Implemented Interfaces:
  NonMatchingVersionReporter

    public class SilentNonMatchingVersionReporter
    extends java.lang.Object
    implements NonMatchingVersionReporter

A NonMatchingVersionReporter that only print debug message.

### Constructor Summary

Constructors
Constructor and Description
`SilentNonMatchingVersionReporter()`

### Method Summary

Methods
`protected void` `reportMessage(java.lang.String msg)`
`void` `reportNonMatchingVersion(DependencyDescriptor descriptor, ModuleDescriptor md)` Report to the user that ivy has detected that a module to sort has a dependency on an other module to sort, but the revisions doesn't match.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ivy.core.sort.NonMatchingVersionReporter

`reportNonMatchingVersion`

### Constructor Detail

#### SilentNonMatchingVersionReporter

    public SilentNonMatchingVersionReporter()

### Method Detail

#### reportMessage

    protected void reportMessage(java.lang.String msg)

#### reportNonMatchingVersion

    public void reportNonMatchingVersion(DependencyDescriptor descriptor,
                                ModuleDescriptor md)

Description copied from interface: `NonMatchingVersionReporter`
Report to the user that ivy has detected that a module to sort has a dependency on an other module to sort, but the revisions doesn't match.

Specified by:
  `reportNonMatchingVersion` in interface `NonMatchingVersionReporter`
Parameters:
  `descriptor` - The non matching dependency descriptor.
  `md` - The module to sort having the corect moduleID but a non matching revision